Bug 698428 - Make auto membership use Slapi_DN for DN comparisons
Summary: Make auto membership use Slapi_DN for DN comparisons
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Server - Plugins
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 690318 389_1.2.9 726742
TreeView+ depends on / blocked
 
Reported: 2011-04-20 21:06 UTC by Nathan Kinder
Modified: 2015-12-07 17:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 17:01:46 UTC


Attachments (Terms of Use)
Patch (8.86 KB, patch)
2011-04-20 21:08 UTC, Nathan Kinder
nhosoi: review+
rmeggins: review+
Details | Diff

Description Nathan Kinder 2011-04-20 21:06:50 UTC
The Auto Membership plug-in should use slapi_sdn_compare() for DN comparisons instead of strcmp().  This will ensure that normalized DN's are used and the comparison results are correct.

Comment 1 Nathan Kinder 2011-04-20 21:08:41 UTC
Created attachment 493636 [details]
Patch

Comment 2 Nathan Kinder 2011-04-21 15:22:11 UTC
Pushed to master.  Thanks to Rich and Noriko for their reviews!

Counting objects: 13, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (7/7), done.
Writing objects: 100% (7/7), 1.30 KiB, done.
Total 7 (delta 4), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   006083a..16f3ead  master -> master


Note You need to log in before you can comment on or make changes to this bug.